Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.actions
Class AnnotatedSettingsPrefs

    java.lang.Object
      com.eviware.soapui.actions.AnnotatedSettingsPrefs

All Implemented Interfaces:
  Prefs

    public class AnnotatedSettingsPrefs

extends java.lang.Object
implements Prefs

Support class for annotation-based settings

Author:
  ole.matzura

Constructor Summary
`AnnotatedSettingsPrefs(java.lang.Class settingsClass, java.lang.String title)`

Method Summary
`SimpleForm` | `getForm()`
`void` | `getFormValues(Settings settings)`
`java.util.List<Setting>` | `getSettings()`
`java.lang.String` | `getTitle()`
`StringToStringMap` | `getValues(Settings settings)`
`void` | `setFormValues(Settings settings)`
`void` | `storeValues(StringToStringMap values, Settings settings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedSettingsPrefs

    public AnnotatedSettingsPrefs(java.lang.Class settingsClass,
                                  java.lang.String title)

Method Detail

### getForm

    public SimpleForm getForm()

  Specified by:
    `getForm` in interface `Prefs`

### getSettings

    public java.util.List<Setting> getSettings()

### getValues

    public StringToStringMap getValues(Settings settings)

  Specified by:
    `getValues` in interface `Prefs`

### setFormValues

    public void setFormValues(Settings settings)

  Specified by:
    `setFormValues` in interface `Prefs`

### getFormValues

    public void getFormValues(Settings settings)

  Specified by:
    `getFormValues` in interface `Prefs`

### storeValues

    public void storeValues(StringToStringMap values,
                            Settings settings)

  Specified by:
    `storeValues` in interface `Prefs`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `Prefs`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.